/* Copyright (c) 2000 Antonios Christofides */

/* In some operating systems, notably Unix, in order to read the
 * keyboard without echo and without waiting for Enter, the terminal
 * mode must be changed. terminal_init changes the terminal mode as
 * needed, and terminal_reset returns it to its original mode before
 * program termination. For operating systems that don't need to
 * change the terminal mode, such as DOS, these functions do nothing.
 */
void terminal_init(void);
void terminal_reset(void);

/* get_key checks if there is any input available from the keyboard.
 * If there is, it returns the next character. Otherwise, it returns
 * 0.
 */
int get_key(void);

/* read_key waits until there is input available from the keyboard and
 * returns the next character.
 */
int read_key(void);

/* waitms pauses for the specified number of milliseconds. */
void waitms(unsigned long);
