/* Copyright (c) 2000 Antonios Christofides
 *
 * texts.c - Dakt strings are in here
 *
 */

#include <stdlib.h>
#include <string.h>
#include "texts.h"

#include "autotext.c" /* autotext.c is an automatically produced file */

const char *url = "http://www.hydro.ntua.gr/~anthony/en/dakt/";
const char *str_this_is_dakt_version = "This is Dakt v";
const char *str_you_should_have_typed =
		"This is what you were requested to type:";
const char *str_you_actually_typed = "and here is what you typed:";
const char *str_navigation_keys =
"Enter: next page         Backspace: previous page            Tab: main menu ";

const char *Title[NUM_OF_SECTIONS] = { "INTRODUCTION",
                           "LESSON 1",
                           "LESSON 2",
                           "LESSON 3",
                           "LESSON 4",
                           "LESSON 5",
                           "LESSON 6",
                           "INSTRUCTIONS",
                           "LESSON 7" };
#define TITLE_LENGTH 12

/* Number of pages in each chapter */
#define MENU_PAGES 1     /* Main menu is one page */
int Pages [NUM_OF_SECTIONS] = { 6, 7, 6, 6, 6, 6, 7, 4, 12 };
#define MAX_PAGES 7

/* The following structure is information about the exercises */
EXERCISE Exercise[] = {
{B, 1, "f f f j j j ffjfjj jfjf j j f f jfjjfjff  f j"},
{B, 3, "fgjh fgjh fgffjh fgffjh jhjjfg fgfgjhjh fghjgfjh fhjgfhgj fhgj"},
{B, 5, "dddkkk ddkdkk kkdkdd dkdk ddkk fdjkfk jd fkjgdh"},
{C, 1, "ssslll sslsll llslss slsl ssll sdfjskhgl sdfghlklg"},
{C, 3, ";a;a;h;h aa a;a;a ;a;alala glash gadgajh"},
{C, 5, "jak lashd; dad dashd; al falld; kag kalld"},
{D, 1, "frfrjuju rfrjfuj frjurfujf ruruurur ujfr ufj rfju rufj rujffujrfj"},
{D, 3, "frftfrft jujyjujyj tyytfj ttyy frftjyju ftfrjujy rtuy tray fusy"},
{D, 5, "dekideki eieiie keidiedk ekei feeds skids laughs turkey this"},
{E, 1, "swswswloow lowsl wws loo lo lolos wide wool willow wows"},
{E, 3, "aqaqaq;ppq ;pqa; qqa ;pp ;p quasi paip; queer photograph; qalquta"},
{E, 5, "yes; prestigious people should always require faster typists"},
{F, 1, "fvjmvfmj vmvfj mvmvmvj fvfh moy mvlvpas mimh kvmh majvfo fmjmvf"},
{F, 3, "fbbfbfbfjvjv jnbnnbj bafv nena namaj janm mania bafabnbfjmj bambaj"},
{F, 5, "dfdfk,k, ,,jk,cd,k,k,c,c,kd cicina, cd,i cicinew moy, cincinnati,"},
{G, 1, "x.x.sxl.xl.x.xsxxl..ls.xl s.l jl.osx saxlh. l. lxs..lxlxs. xrhma..."},
{G, 3, "zazazajzajzhzzaza zoo fuzzy zealous buzz."},
{G, 5, "Now is the time for all good men to come to the aid of their country."},
{I, 2, "f4fj7j4774jf f4f j7j 4f7j 7j7j 4g7y4v"},
{I, 4, "f5f45j7j76 f6j5 j6f5 j7u4 456f7jvm"},
{I, 6, "d3dk8i3e8i,ce3ki38,dk38, 83 les 87"},
{I, 8, "2s 9l 29ls 29los 69 69 34.5 23.9 32.8.89"},
{I, 10, "1a0;a1 10.12.1990.   1 plus 1 equals 00" },
{I, -1, ""} /* This is the end marker */
};

int get_text(int section, int current_page, int line, char *buffer)
{
	int i;
	const char *p;
	char *q;

	if(section==MAIN_MENU)
	  	i=0;
	else {
		for(i=1; --section>=0; i+=Pages[section])
			;
		i += current_page-1;
	}
	p = Maintext[i];
	while(--line) {
		if((p=strchr(p, '\n'))==NULL)
			return 0;
		if(!*(++p))
		  	return 0;
	}
	strncpy(buffer, p, 80);
	if((q=strchr(buffer, '\n'))!=NULL)
		*q = '\0';
	return 1;
}
